## org.jfree.chart.axis
Class DateTick

    java.lang.Object
      org.jfree.chart.axis.Tick
          org.jfree.chart.axis.ValueTick
              org.jfree.chart.axis.DateTick

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable

    public class DateTick

extends ValueTick

A tick used by the `DateAxis` class.

See Also:
  Serialized Form

Constructor Summary
`DateTick(java.util.Date date, java.lang.String label, org.jfree.ui.TextAnchor textAnchor, org.jfree.ui.TextAnchor rotationAnchor, double angle)` Creates a new date tick.

Method Summary
`boolean` `equals(java.lang.Object obj)` Tests this tick for equality with an arbitrary object.
`java.util.Date` `getDate()` Returns the date.

Methods inherited from class org.jfree.chart.axis.ValueTick
`getValue`

Methods inherited from class org.jfree.chart.axis.Tick
`clone, getAngle, getRotationAnchor, getText, getTextAnchor, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DateTick

    public DateTick(java.util.Date date,
                    java.lang.String label,
                    org.jfree.ui.TextAnchor textAnchor,
                    org.jfree.ui.TextAnchor rotationAnchor,
                    double angle)

  Creates a new date tick.

  Parameters:
    `date` - the date.
    `label` - the label.
    `textAnchor` - the part of the label that is aligned to the anchor point.
    `rotationAnchor` - defines the rotation point relative to the text.
    `angle` - the rotation angle (in radians).

Method Detail

### getDate

    public java.util.Date getDate()

  Returns the date.

  Returns:
    The date.

### equals

    public boolean equals(java.lang.Object obj)

  Tests this tick for equality with an arbitrary object.

  Overrides:
    `equals` in class `ValueTick`
  Parameters:
    `obj` - the object to test (`null` permitted).
  Returns:
    A boolean.